<style>

  body {
    font-family: 'Open Sans', sans-serif;
    
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 8px 0;
  }

  p {
    margin: 0;
  }

  .spacer {
    flex: 1;
  }

  .toolbar {
    top: 0;
    left: 0;
    right: 0;
    height: 80px;
    display: flex;
    align-items: center;
    background-color: rgb(0, 0, 90);
    color: white;
    padding-left: 2em;
    font-weight: 600;
  }

  .toolbar img {
    margin: 0 16px;
  }

  .toolbar #twitter-logo {
    height: 40px;
    margin: 0 8px;
  }

  .toolbar #youtube-logo {
    height: 40px;
    margin: 0 16px;
  }

  .content {
    display: flex;
    margin: 82px auto 32px;
    padding: 0 16px;
    /* max-width: 960px; */
    max-width: 90%;
    flex-direction: column;
    align-items: center;
  }

  a,
  a:visited,
  a:hover {
    color: #1976d2;
    text-decoration: none;
  }

  a:hover {
    color: #125699;
  }

  footer {
    margin-top: 8px;
    display: flex;
    align-items: center;
    line-height: 20px;
  }

  footer a {
    display: flex;
    align-items: center;
  }

  /* Responsive Styles */
  @media screen and (max-width: 767px) {
    .card-container > *:not(.circle-link) ,
    .terminal {
      width: 100%;
    }

    .card:not(.highlight-card) {
      height: 16px;
      margin: 8px 0;
    }

    .card.highlight-card span {
      margin-left: 72px;
    }

    svg#rocket-smoke {
      right: 120px;
      transform: rotate(-5deg);
    }
  }

  @media screen and (max-width: 575px) {
    svg#rocket-smoke {
      display: none;
      visibility: hidden;
    }
  }

  .column-header {
      cursor: pointer;
  }

  input[type="checkbox"]
  {
      vertical-align:middle;
  }

  .nav-bar {
      background-color: white;
      color: black;
      border-bottom: 1px solid #000000;
      height: 50px;
  }

  .nav-bar ul {
      list-style-type: none;
      margin: 0;
      padding: 0;
  }

  .nav-bar ul li {
      display: inline-block;
      cursor: pointer;
      /* top right bottom left */
      padding: 0.9rem 4rem 0.7rem 4rem;
      text-align: center;
  }

  .nav-bar ul li a {
      color: #000;
      font-weight: bold;
  }

  .nav-bar li.current {
      border-bottom: 4px solid rgb(0, 0, 90);
  }

  #applicant-grid-wrapper {
      /* padding: 1em; */
      border: 1px solid rgb(204, 204, 204);
      border-radius: 8px;
      background: white;
  }

  #company-grid-wrapper {
      /* padding: 1em; */
      border: 1px solid rgb(204, 204, 204);
      border-radius: 8px;
      background: white;
  }

  #apr-grid-wrapper {
      border: 1px solid rgb(204, 204, 204);
      border-radius: 8px;
      background: white;
  }
  

  #view-wrapper {
      min-width: 100%;
  }

  .toolbar {
      font-family: 'Open Sans';
      font-style: normal;
/*      font-weight: 700; */
  }

  .nav-bar {
      font-family: 'Open Sans';
/*      font-weight: 700; */
  }

  .content {
      font-family: 'Open Sans';
      font-style: normal;
/*      font-weight: 700;*/
  }

  button {
      font-family: 'Open Sans';
  }

  input {
      font-family: 'Open Sans';
  }

  
  </style>

  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,700;1,300&display=swap" rel="stylesheet">

<!-- Toolbar -->
<div class="toolbar" role="banner">
  <digi-layout-block af-variation="{LayoutBlockVariation.PROFILE}">
    <digi-logo af-color="{LogoColor.SECONDARY}" af-system-name="Jobbsprånget"></digi-logo>
  </digi-layout-block>
</div> 

<div class="nav-bar" role="navbar">
  <ul>
    <li [ngClass]="{'current': view === 'applicants'}">
      <a tabindex="1" (click)="changeView('applicants')">Sökanden ({{ applicationsNum }})</a>
    </li>
    <li [ngClass]="{'current': view === 'companies'}">
      <a tabindex="2" (click)="changeView('companies')">Företag ({{ companiesNum }})</a>
    </li>
    <li [ngClass]="{'current': view === 'aprDecisions'}">
    <a tabindex="3" (click)="changeView('aprDecisions')">APR beslut ({{ aprNum }})</a>
    </li>
    <li [ngClass]="{'current': view === 'createCampaign'}">
    <a tabindex="4" (click)="changeView('createCampaign')">Företag och fackförbund</a>
    </li>
  </ul>
</div>

<div class="content" role="main">

  <div [ngSwitch]="view" id="view-wrapper">
    
    <div *ngSwitchCase="'companies'">
      <div id="company-grid-wrapper">
        <company-grid
          [companyColumns]="companyColumns"
          [companies]="companies"
          [modalPipe]="modalEvents"></company-grid>
          </div>
    </div>
    
    <div *ngSwitchCase="'aprDecisions'">
    <div id="apr-grid-wrapper">
    <apr-grid [aprColumns]="aprColumns"
    [baseApplicants]="baseApplicants"
    [applicants]="applicants"
    [baseApplications]="aprApplications"
    [applications]="applications"
    [modalPipe]="modalEvents"></apr-grid>
    
    </div>
    </div>

    <div *ngSwitchCase="'createCampaign'">
    <div id="create-campaign-wrapper">
    <create-campaign-page
    [companies]="companies"
    [modalPipe]="modalEvents"
    ></create-campaign-page>
    </div>
    </div>
    
    <div id="applicant-grid-wrapper" *ngSwitchDefault>
      <applicant-grid
        [columnsDisplayName]="columnsDisplayName"
        [baseApplicants]="baseApplicants"
        [applicants]="applicants"
        [baseApplications]="baseApplications"
        [applications]="applications"
        [modalPipe]="modalEvents">
        </applicant-grid>       
    </div>
  </div>

  <status-modal
    [events]="modalEvents.asObservable()"></status-modal>
</div>
